stages:
  - build
  - test
  - package
  - publish
  - build-docker
  - test-docker
  - release-docker

variables:
  GIT_SUBMODULE_STRATEGY: recursive

build-linux:
  stage: build
  tags:
    - mormot
  script:
    - lazbuild --build-mode=Default ci_mormot_test.lpi

test-linux:
  variables:
    GIT_STRATEGY: none
  stage: test
  tags:
    - mormot
  artifacts:
    paths:
      - test_result.txt
    expire_in: 1 week
  script:
    - export PATH=$PWD/bin/fpc-linux:$PATH
    - export LD_LIBRARY_PATH=$PWD/bin/fpc-linux:$LD_LIBRARY_PATH
    - ./ci_mormot_test > test_result.txt
